.navbar-custom {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    justify-items: start;
}

.org-logo {
    width: 100%;
    height: 90px;
    object-fit: contain;
}

.bg-orange {
    background-color: #ff8f0e;
}

.bg-green {
    background-color: #01A59C;
}

.gradient-custom {
    /* fallback for old browsers */
    background: #6a11cb;

    /* Chrome 10-25, Safari 5.1-6 */
    background: -webkit-linear-gradient(to right, rgba(106, 17, 203, 1), rgba(37, 117, 252, 1));

    /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    background: linear-gradient(to right, rgba(106, 17, 203, 1), rgba(37, 117, 252, 1))
}

.nav-link {
    padding: 12px;
}

.admin-nav li a,
.admin-nav li form input {
    font-size: 0.8rem;
    transition: background 0.3s ease;
}

.gallery-img {
    width: 100%;
    height: auto;
    aspect-ratio: 16/9;
    object-fit: cover;
}

.image-view {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.image-view img {
    max-width: 90vw;
    height: 80vh;
    object-fit: contain;
}

.modal-bg {
    background: transparent;
    border: 0;
}

.admin-nav li a:hover,
.admin-nav li form:hover {
    /* Change the background gradient on hover */
    color: white !important;
    background: linear-gradient(to right, rgba(107, 17, 203, 1), rgba(37, 117, 252, 1));
}

.nav-active {
    background: linear-gradient(to right, rgba(106, 17, 203, 1), rgba(37, 117, 252, 1));
    color: white !important;
}

.text-small {
    font-size: 0.8rem !important;
}

.teacher-card-height {
    height: 7rem;

}

.card-image-dimension {
    max-width: 100%;
}

.text-justify {
    text-align: justify;
}

.vacancy_properties {
    display: flex;
    color: rgb(30, 30, 30);
}

.vacancy_properties span {
    margin-right: 3vw;
}

#homebg {
    position: absolute;
    top: 0;
    left: 0;
    min-width: 100%;
    min-height: 100%;
    z-index: -100;
}

.nav-position {
    position: fixed;
}

.tag-effect-remove * {
    text-decoration: none;
}

.message-content {
    position: relative;
    color: #fff;
    font-weight: 400;
    clear: both;
    text-align: left;
    background-color: #0EDC8D;
    overflow: hidden;
}

.filecard {
    border: 1px solid #d8d8d8;
    margin: 3rem 0 3rem 3rem;
    padding: 3rem 3rem 2rem 3rem;
}

.teacher-detail-image {

    width: 200px !important;
    height: 200px;
    aspect-ratio: 1/1;
    object-fit: cover;
}

.board-member-img {
    height: 400px !important;
    aspect-ratio: 1/1 !important;
}


@media screen and (min-width=768px) and (max-width=1199px) {

    .carousel-inner .carousel-item-end.active,
    .carousel-inner .carousel-item-next {
        transform: translateX(25%)
    }

    .carousel-inner .carousel-item-start.active,
    .carousel-inner .carousel-item-prev {
        transform: translateX(-25%)
    }

    .nav-position {
        position: absolute;
    }

    .board-member-img {
        height: 300px !important;
        aspect-ratio: 1/1 !important;
    }
}


@media screen and (max-width: 767px) {
    .nav-inner {
        padding: 15px 0;
    }

    .carousel-inner .carousel-item>div {
        display: none;
    }

    .carousel-inner .carousel-item>div:first-child {
        display: block
    }

    .vacancy_properties {
        flex-direction: column;
    }

    .filecard {
        margin-left: 0 !important;
        padding: 1.5rem !important;
    }

    .aboutsection-image {
        display: none !important;
    }

    .md-aboutsection-image {
        width: 100%;
        padding: 0;
    }

    .md-aboutsection-image img {
        width: 100% !important;
        object-fit: contain !important;
    }

    .about-us .about-left {
        padding-right: 0;
    }

    .teacher-detail-image {
        width: 200px !important;
        height: 200px;
        aspect-ratio: 1/1;
        object-fit: cover;
        margin: 0 auto;
    }

    .board-member-img {
        width: 100% !important;
        aspect-ratio: 1/1 !important;
        height: auto !important;
    }
}

.carousel-inner .carousel-item.active,
.carousel-inner .carousel-item-next,
.carousel-inner .carousel-item-prev {
    display: flex
}

@media screen and (min-width: 1201px) {

    .carousel-inner .carousel-item-end.active,
    .carousel-inner .carousel-item-next {
        transform: translateX(25%)
    }

    .carousel-inner .carousel-item-start.active,
    .carousel-inner .carousel-item-prev {
        transform: translateX(-25%)
    }

    .nav-position {
        position: absolute;
    }


}

.carousel-inner .carousel-item-end,
.carousel-inner .carousel-item-start {
    transform: translateX(0)
}

@media screen and (max-width:334px) {
    .custom-sidebar-sm {
        padding: 0.2rem !important;
        border: 0 !important;
    }

    .career-card-apply-date,
    .file-card-posted-date {
        display: contents !important;
    }

    .vacancy_properties {
        display: none;
    }

    .org-logo {
        height: 50px;
    }

    .margin-top-sm {
        margin-top: 20px;
    }
}

@media screen and (min-width:335px) and (max-width:400px) {

    .career-card-apply-date,
    .file-card-posted-date {
        display: contents !important;
    }

    .career-card-posted-date {
        display: block !important;
    }

    .vacancy_properties {
        display: none;
    }

}

:root {
    --input-padding-x: 1.5rem;
    --input-padding-y: .75rem;
}

.login-body {
    min-width: 280px;
}

.card-signin {
    border: 0;
    border-radius: 1rem;
    box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.1);
}

.card-signin .card-title {
    margin-bottom: 2rem;
    font-weight: 300;
    font-size: 1.5rem;
}

.card-signin .card-body {
    padding: 2rem;
}

.form-signin {
    width: 100%;
}

.form-signin .btn {
    font-size: 80%;
    border-radius: 5rem;
    letter-spacing: .1rem;
    font-weight: bold;
    padding: 1rem;
    transition: all 0.2s;
}

.form-label-group {
    position: relative;
    margin-bottom: 1rem;
}

.form-label-group input {
    height: auto;
    border-radius: 2rem;
}

.form-label-group>input,
.form-label-group>label {
    padding: var(--input-padding-y) var(--input-padding-x);
}

.form-label-group>label {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    margin-bottom: 0;
    /* Override default `<label>` margin */
    line-height: 1.5;
    color: #495057;
    border: 1px solid transparent;
    border-radius: .25rem;
    transition: all .1s ease-in-out;
}

.form-label-group input::-webkit-input-placeholder {
    color: transparent;
}

.form-label-group input:-ms-input-placeholder {
    color: transparent;
}

.form-label-group input::-ms-input-placeholder {
    color: transparent;
}

.form-label-group input::-moz-placeholder {
    color: transparent;
}

.form-label-group input::placeholder {
    color: transparent;
}

.form-label-group input:not(:placeholder-shown) {
    padding-top: calc(var(--input-padding-y) + var(--input-padding-y) * (2 / 3));
    padding-bottom: calc(var(--input-padding-y) / 3);
}

.form-label-group input:not(:placeholder-shown)~label {
    padding-top: calc(var(--input-padding-y) / 3);
    padding-bottom: calc(var(--input-padding-y) / 3);
    font-size: 12px;
    color: #777;
}

.btn-google {
    color: white;
    background-color: #ea4335;
}

.btn-facebook {
    color: white;
    background-color: #3b5998;
}

/* Fallback for Edge
-------------------------------------------------- */

@supports (-ms-ime-align: auto) {
    .form-label-group>label {
        display: none;
    }

    .form-label-group input::-ms-input-placeholder {
        color: #777;
    }
}

/* Fallback for IE
-------------------------------------------------- */

@media all and (-ms-high-contrast: none),
(-ms-high-contrast: active) {
    .form-label-group>label {
        display: none;
    }

    .form-label-group input:-ms-input-placeholder {
        color: #777;
    }
}
